<!--
title: "Docker Hub repository monitoring with Netdata"
description: "Monitor the health and performance of Docker Hub repositories with zero configuration, per-second metric granularity, and interactive visualizations."
custom_edit_url: https://github.com/netdata/go.d.plugin/edit/master/modules/dockerhub/README.md
sidebar_label: "Docker Hub repositories"
-->

# Docker Hub repository monitoring with Netdata

[`Docker Hub`](https://docs.docker.com/docker-hub/) is a service provided by Docker for finding and sharing container
images with your team.

This module will collect `Docker Hub` repositories statistics.

## Charts

It produces the following charts:

- Pulls Summary in `pulls`
- Pulls in `pulls`
- Pulls Rate in `pulls/s`
- Stars in `stars/s`
- Current Status in `status`
- Time Since Last Update in `seconds`

## Configuration

Edit the `go.d/dockerhub.conf` configuration file using `edit-config` from the
Netdata [config directory](https://learn.netdata.cloud/docs/configure/nodes), which is typically at `/etc/netdata`.

```bash
cd /etc/netdata # Replace this path with your Netdata config directory
sudo ./edit-config go.d/dockerhub.conf
```

Needs only list of `repositories`. Here is an example:

```yaml
jobs:
  - name: me
    repositories:
      - 'me/repo1'
      - 'me/repo2'
      - 'me/repo3' 
```

For all available options please see
module [configuration file](https://github.com/netdata/go.d.plugin/blob/master/config/go.d/dockerhub.conf).

## Troubleshooting

To troubleshoot issues with the `dockerhub` collector, run the `go.d.plugin` with the debug option enabled. The output
should give you clues as to why the collector isn't working.

First, navigate to your plugins directory, usually at `/usr/libexec/netdata/plugins.d/`. If that's not the case on your
system, open `netdata.conf` and look for the setting `plugins directory`. Once you're in the plugin's directory, switch
to the `netdata` user.

```bash
cd /usr/libexec/netdata/plugins.d/
sudo -u netdata -s
```

You can now run the `go.d.plugin` to debug the collector:

```bash
./go.d.plugin -d -m dockerhub
```

